<?php

namespace Drupal\academic_marksheet\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 *
 */
class StudentUpdateController extends ControllerBase {

  /**
   *
   */
  public function updateStudentPage($student_id) {
    // Fetch student details.
    $student_query = \Drupal::database()->select('student_details', 's')
      ->fields('s')
      ->condition('s.id', $student_id)
      ->execute()
      ->fetchAssoc();

    $form = \Drupal::formBuilder()->getForm('Drupal\academic_marksheet\Form\StudentUpdateForm', $student_query);

    return $form;
  }

}
